import Command from '../Command';
import CommandContext from '../CommandContext';
import Topic from '../Topic';
declare class GenericFunctionCommand<T> extends Command {
    private _value;
    private _topicsIds;
    private _commandFunc;
    private _oldValues;
    private _applied;
    constructor(commandFunc: (topic: Topic, value: T) => T, topicsIds: number[], value: T);
    /**
     * Overrides abstract parent method
     */
    execute(commandContext: CommandContext): void;
    undoExecute(commandContext: CommandContext): void;
}
export default GenericFunctionCommand;
